Is Prezi Next compatible with Firefox?


#1

A non-starter for me. I’m not switching browsers just to make Prezi Next work.


#2

Prezi Next should be compatible with Chrome, Safari and Firefox, but the best experience is provided by the latest version of Google Chrome.

In case you face any difficulties, please make sure no firewall and security settings or adblocker prevents Prezi Next from working properly. Please check this topic for further suggestions:
https://www.prezi.community/t/my-presentation-isn-t-loading-i-see-just-a-blank-white-page/69

I hope it helps!


#3

I have Ad Blocker off. Still get this error and never offered a chance to create a new presentation while in Firefox.


#4

I’ve just tested Firefox and I managed to edit a Prezi Next presentation there. Could you please make sure you use the latest version of the browser?


#5

Hmm…works on a Mac running Firefox, but not currently on my PC running Firefox. I do have the latest version. AdBlockers are turned off. Perhaps it’s an error isolated to me. If you have any suggestions, please share them.


#6

Looks like the 64 bit version of Firefox is required for a PC. Trying that solution now.


#7

That worked!


#8

That’s great news, thanks for sharing!


#9

Hello,

I have de same problem with the latest version of Firefox ESR 52.6.0


#10

We have tested Firefox ESR 52.6.0 and it seems to work on our end. Could you please send us a screenshot of the error message?

Please make sure that JavaScript, cookies, and pop-ups are allowed for prezi.com in the browser you are using.

Also, please make sure that pop-ups are allowed in your browser privacy add-on or firewall software for:
*prezi.com
*.prezi.com
*.static.prezi.com
*s3.amazonaws.com
*.prezi.com.s3.amazonaws.com
*prezi-a.akamaihd.net
*preziusercontent.com
*.preziusercontent.com
*.cloudfront.net
*.youtube.com
*.prezicdn.net
*.ytimg.com

Please disable the ublock/adblock extensions as they can be causing the issue too.


#11

Adblock disabled and pop-ups allowed :slight_smile:


#12

I found ! Because we use x86 of ESR

It work with x64
Can you make an exception for x86 ?
We have some computer on x86 in the campus…


#13

@Hesdin_Aharchi Currently only the 64-bit version is supported and I’m afraid there is no way we could make an exception. Sorry for any inconvenience.


#14

I’m getting the same error message as Robert Morgan… Checked my firefox version and I have 52.4.1… the link to what’s supported wants me to download version 52.0, a down grade. What am I doing wrong?


#15

@David_Kline according to the Release page of Firefox, the current version is 58.0.2, please make sure you install the 64-bit version.


#16

A post was split to a new topic: Cannot view images during editing


#17

I have updated my windows version and after activation of the nest version, my Firefox is not correctly working on my laptop please give some solution, I also try to talk about this with Firefox Support they help me more in this.


#18

If you experience issues with Firefox and not Prezi, their Support Team might be able to give you further insights into why this could occur. I hope you’ll browser will be back and running soon.